Bug 169989 - Modem no longer responds
Modem no longer responds
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
4
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-06 01:57 EDT by Evan Clarke
Modified: 2015-01-04 17:22 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-04 21:40:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Evan Clarke 2005-10-06 01:57:38 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20050927 Fedora/1.0.7-2.1.fc4.nr Firefox/1.0.7

Description of problem:
My TOPIC SEMICONDUCTOR Corp TP560 Data/Fax/Voice 56k modem no longer works under the latest kernel-2.6.13-1.1526_FC4 release.

Here is a snippet from /var/log/messages
Oct  6 15:36:38 localhost ifup-ppp: pppd started for Alphalink on /dev/ttyS14 at 115200
Oct  6 15:36:38 localhost kernel: CSLIP: code copyright 1989 Regents of the University of California
Oct  6 15:36:38 localhost kernel: PPP generic driver version 2.4.2
Oct  6 15:36:39 localhost pppd[2363]: pppd 2.4.2 started by root, uid 0
Oct  6 15:36:40 localhost wvdial[2381]: WvDial: Internet dialer version 1.54.0
Oct  6 15:36:40 localhost wvdial[2381]: Initializing modem.
Oct  6 15:36:40 localhost wvdial[2381]: Sending: ATZ
Oct  6 15:36:40 localhost wvdial[2381]: Sending: ATQ0
Oct  6 15:36:40 localhost wvdial[2381]: Re-Sending: ATZ
Oct  6 15:36:40 localhost wvdial[2381]: Modem not responding.
Oct  6 15:36:40 localhost pppd[2363]: Connect script failed
Oct  6 15:36:41 localhost pppd[2363]: Exit.

Under the previous kernel (kernel-2.6.12-1.1456_FC4 and earlier) the modem works fine.  (Snippet not included - can be supplied on request).

Here is the output of lspci -v
[evan@localhost ~]$ sudo /sbin/lspci -v
Password:
00:00.0 Host bridge: VIA Technologies, Inc. VT8363/8365 [KT133/KM133] (rev 81)
        Subsystem: ASUSTeK Computer Inc.: Unknown device 8041
        Flags: bus master, medium devsel, latency 40
        Memory at f8000000 (32-bit, prefetchable) [size=64M]
        Capabilities: [a0] AGP version 2.0
        Capabilities: [c0] Power Management version 2

00:01.0 PCI bridge: VIA Technologies, Inc. VT8363/8365 [KT133/KM133 AGP] (prog-if 00 [Normal decode])
        Flags: bus master, 66Mhz, medium devsel, latency 0
        Bus: primary=00, secondary=01, subordinate=01, sec-latency=0
        Memory behind bridge: eb000000-ebefffff
        Prefetchable memory behind bridge: eff00000-f7ffffff
        Capabilities: [80] Power Management version 2

00:07.0 ISA bridge: VIA Technologies, Inc. VT82C686 [Apollo Super South] (rev 40)
        Subsystem: ASUSTeK Computer Inc.: Unknown device 80e7
        Flags: bus master, stepping, medium devsel, latency 0
        Capabilities: [c0] Power Management version 2

00:07.1 IDE interface: VIA Technologies, Inc. VT82C586A/B/VT82C686/A/B/VT823x/A/C PIPC Bus Master IDE (rev 06) (prog-if 8a [Master SecP PriP])
        Subsystem: ASUSTeK Computer Inc.: Unknown device 80e7
        Flags: bus master, stepping, medium devsel, latency 32
        I/O ports at d800 [size=16]
        Capabilities: [c0] Power Management version 2

00:07.2 USB Controller: VIA Technologies, Inc. VT82xxxxx UHCI USB 1.1 Controller (rev 16) (prog-if 00 [UHCI])
        Subsystem: VIA Technologies, Inc. (Wrong ID) USB Controller
        Flags: bus master, medium devsel, latency 32, IRQ 3
        I/O ports at d400 [size=32]
        Capabilities: [80] Power Management version 2

00:07.3 USB Controller: VIA Technologies, Inc. VT82xxxxx UHCI USB 1.1 Controller (rev 16) (prog-if 00 [UHCI])
        Subsystem: VIA Technologies, Inc. (Wrong ID) USB Controller
        Flags: bus master, medium devsel, latency 32, IRQ 3
        I/O ports at d000 [size=32]
        Capabilities: [80] Power Management version 2

00:07.4 Bridge: VIA Technologies, Inc. VT82C686 [Apollo Super ACPI] (rev 40)
        Subsystem: ASUSTeK Computer Inc.: Unknown device 80e7
        Flags: medium devsel, IRQ 9
        Capabilities: [68] Power Management version 2

00:07.5 Multimedia audio controller: VIA Technologies, Inc. VT82C686 AC97 Audio Controller (rev 50)
        Subsystem: ASUSTeK Computer Inc.: Unknown device 4005
        Flags: medium devsel, IRQ 4
        I/O ports at b800 [size=256]
        I/O ports at b400 [size=4]
        I/O ports at b000 [size=4]
        Capabilities: [c0] Power Management version 2

00:0d.0 Communication controller: TOPIC SEMICONDUCTOR Corp TP560 Data/Fax/Voice 56k modem
        Subsystem: TOPIC SEMICONDUCTOR Corp TP560 Data/Fax/Voice 56k modem
        Flags: medium devsel, IRQ 11
        I/O ports at a400 [size=8]

00:0e.0 USB Controller: VIA Technologies, Inc. VT82xxxxx UHCI USB 1.1 Controller (rev 61) (prog-if 00 [UHCI])
        Subsystem: VIA Technologies, Inc. VT82xxxxx UHCI USB 1.1 Controller
        Flags: bus master, medium devsel, latency 32, IRQ 10
        I/O ports at a000 [size=32]
        Capabilities: [80] Power Management version 2

00:0e.1 USB Controller: VIA Technologies, Inc. VT82xxxxx UHCI USB 1.1 Controller (rev 61) (prog-if 00 [UHCI])
        Subsystem: VIA Technologies, Inc. VT82xxxxx UHCI USB 1.1 Controller
        Flags: bus master, medium devsel, latency 32, IRQ 4
        I/O ports at 9800 [size=32]
        Capabilities: [80] Power Management version 2

00:0e.2 USB Controller: VIA Technologies, Inc. USB 2.0 (rev 63) (prog-if 20 [EHCI])
        Subsystem: VIA Technologies, Inc. USB 2.0
        Flags: bus master, medium devsel, latency 32, IRQ 3
        Memory at ea800000 (32-bit, non-prefetchable) [size=256]
        Capabilities: [80] Power Management version 2

00:0f.0 VGA compatible controller: nVidia Corporation NV5M64 [RIVA TNT2 Model 64/Model 64 Pro] (rev 15) (prog-if 00 [VGA])
        Flags: bus master, 66Mhz, medium devsel, latency 32, IRQ 4
        Memory at e9000000 (32-bit, non-prefetchable) [size=16M]
        Memory at ec000000 (32-bit, prefetchable) [size=32M]
        Expansion ROM at 000c0000 [disabled] [size=64K]
        Capabilities: [60] Power Management version 1

01:00.0 VGA compatible controller: S3 Inc. ProSavage KM133 (prog-if 00 [VGA])
        Flags: 66Mhz, medium devsel, IRQ 11
        Memory at eb000000 (32-bit, non-prefetchable) [disabled] [size=512K]
        Memory at f0000000 (32-bit, prefetchable) [disabled] [size=128M]
        Expansion ROM at efff0000 [disabled] [size=64K]
        Capabilities: [dc] Power Management version 2
        Capabilities: [80] AGP version 2.0


Version-Release number of selected component (if applicable):
kernel-2.6.13-1.1526_FC4

How reproducible:
Always

Steps to Reproduce:
1. Boot with kernel-2.6.13-1.1526_FC4
2. Observe modem not working
3. Boot with kernel-2.6.12-1.1456_FC4 and earlier
4. Observe modem working
  

Additional info:
Comment 1 Dave Jones 2005-11-10 14:27:38 EST
2.6.14-1.1637_FC4 has been released as an update for FC4.
Please retest with this update, as a large amount of code has been changed in
this release, which may have fixed your problem.

Thank you.
Comment 2 Evan Clarke 2005-11-15 05:14:39 EST
Unfortunately the problem still persists with the new kernel.
Comment 3 Joseph Morton 2005-12-05 12:30:07 EST
I'm seeing the exact same problem, I upgraded from FC3 to FC4 and everything
worked.  I used YUM and was upgraded from kernel 2.6.11-1.1369_FC4 to kernel
2.6.14-1.1644_FC4 then the modem stopped working.  

My modem is a USR Sportster internal 56K Faxmodem and the Motherboard is an MSI
KM2M with an Athalon processor.
Comment 4 Dave Jones 2006-02-03 01:44:03 EST
This is a mass-update to all currently open kernel bugs.

A new kernel update has been released (Version: 2.6.15-1.1830_FC4)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

Thank you.
Comment 5 John Thacker 2006-05-04 21:40:43 EDT
Closing per previous comment.

Note You need to log in before you can comment on or make changes to this bug.